Subject: Re: bug#62845: 29.0.90; nntp-with-open-group-function kills current buffer on timeout

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 May 2023 13:01:58 +0300

> From: Eric Abrahamsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 10 May 2023 11:21:42 -0700
> 
> 
> > Eric, any progress here?
> >
> > If no better ideas are ready to be implemented, I think we should
> > revert that commit on emacs-29 and leave it on master, where work on
> > fixing this fallout should continue.  OK?
> 
> Yeah, I haven't made much progress in the time I've had to look at this
> (and I still don't completely understand the current error!).
> 
> I think the commit should be reverted on both emacs-29 and master. It
> was there to fix an inconvenience (an nntp failure would halt a Gnus
> refresh at the top level), but it caused an actual bug (Gnus messes with
> the contents of random buffers). Better to go back to the inconvenience
> until a fuller solution is found.

Thanks, I've now reverted commit 032969e8c65 on the emacs-29 branch;
soon to be merged to master.

Should I now close this bug, or do you want it to stay open?